/*
 * Copyright 2008 eobjects.dk
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package dk.eobjects.metamodel.dialects;

import dk.eobjects.metamodel.JdbcDataContextStrategy;
import dk.eobjects.metamodel.query.Query;

public class MysqlQueryRewriter extends DefaultQueryRewriter implements
		IQueryRewriter {

	/**
	 * If the maxrows property of the query is set, then we will use MySQLs
	 * LIMIT function.
	 */
	@Override
	public String rewriteQuery(JdbcDataContextStrategy strategy, Query query) {
		String queryString = super.rewriteQuery(strategy, query);
		Integer maxRows = query.getMaxRows();
		if (maxRows != null && maxRows > 0) {
			queryString = queryString + " LIMIT " + maxRows;
		}
		return queryString;
	}
}
