/*
 * Copyright 2008 eobjects.dk
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package dk.eobjects.metamodel.schema;


public class JdbcColumn extends Column {

	private static final long serialVersionUID = 389872697452157919L;

	public JdbcColumn(String columnName, ColumnType columnType,
			JdbcTable table, int columnNumber, Boolean nullable) {
		super(columnName, columnType, table, columnNumber, nullable);
	}

	@Override
	public boolean isIndexed() {
		JdbcTable table = (JdbcTable) getTable();
		table.loadIndexes();
		return super.isIndexed();
	}
}
