/*
 * Copyright 2008 eobjects.dk
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package dk.eobjects.metamodel.schema;

import dk.eobjects.metamodel.JdbcDataContextStrategy;

public class JdbcSchema extends Schema {

	private static final long serialVersionUID = 7543633400859277467L;
	private JdbcDataContextStrategy _strategy;
	private boolean _relationsLoaded = false;

	public JdbcSchema(String name, JdbcDataContextStrategy strategy) {
		super(name);
		_strategy = strategy;
	}

	public void loadRelations() {
		if (!_relationsLoaded) {
			_relationsLoaded = true;
			_strategy.loadRelations(this);
		}
	}
}
